<div class="notification-container">
  <div *ngIf="!isNil(data.title)" class="title title-h4">
    {{ data.title }}
  </div>

  <div class="message body-1">
    {{ data.message }}
  </div>

  <ng-container *ngIf="!isNil(data.urlTitle)">
    <a *ngIf="isArray(data.urlLink)"
       mat-flat-button
       color="primary"
       class="button"
       [routerLink]="data.urlLink"
       (click)="ref.dismiss()"
    >
      {{ data.urlTitle }}
    </a>

    <a *ngIf="!isArray(data.urlLink)"
       mat-flat-button
       color="primary"
       class="button"
       [href]="data.urlLink"
    >
      {{ data.urlTitle }}
    </a>
  </ng-container>
</div>
